$(function () {
    $('#btnvoltar').click(
            function (e) {
                e.preventDefault();

                var step = $("#step").val();
                var action = 'back';

                $("#btnvoltar").prop("disabled", true);
                $("#btncalcular").prop("disabled", true);


                $("#dadoscalc").hide("slow");
                $("#dadoscalc").html("");
                $("#loader").fadeIn("slow");
                $("#loader").html("<h3 class='title-3'>Aguarde...</h3><br /> <img src='/app/loader.gif' />");


                $.post('/app/calculadora-exe.php', {step: step, action: action}, function (resposta) {

                    if (resposta != false) {
                        $("#loader").fadeOut("slow");
                        $("#dadoscalc").fadeIn("slow");
                        $("#dadoscalc").html(resposta);
                        $("#btncalcular").prop("disabled", false);
                    } else {
                        alert("Ocorreu um erro ao processar sua solicitação!");
                        return false;
                    }
                });
            });
});
